---
title: vultr_reverse_ipv4
url: https://docs.vultr.com/reference/terraform/data-sources/reverse_ipv4
description: A data source that retrieves information about a Vultr Reverse IPv4 DNS record based on specified filters.
publish_date: 2025-09-15T13:33:56.109203Z
last_updated: 2025-09-15T14:14:45.344972Z
---

# vultr_reverse_ipv4

Get information about a Vultr Reverse IPv4.

## Example Usage

Get the information for an IPv4 reverse DNS record by `reverse`:

```hcl
data "vultr_reverse_ipv4" "my_reverse_ipv4" {
  filter {
    name = "reverse"
    values = ["host.example.com"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding IPv4 reverse DNS records.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values to filter with.

## Attributes Reference

The following attributes are exported:

* `instance_id` - The ID of the instance the IPv4 reverse DNS record was set for.
* `ip` - The IPv4 address in canonical format used in the reverse DNS record.
* `reverse` - The hostname used in the IPv4 reverse DNS record.
* `gateway` - The gateway IP address.
* `netmask` - The IPv4 netmask in dot-decimal notation.